<?php

/**
 * Implementation of hook_views_data().
 */
function cre_views_data() {
  $data['cre_recommendations']['table']['group'] = t('Recommendations');
  $data['cre_recommendations']['table']['join'] = array(
    'node' => array(
      'field' => 'nid',
      'left_field' => 'nid',
      'extra' => array(
        array(
          'field' => 'uid',
          'value' => '***CURRENT_USER***',
          'operator' => '=',
        ),
      ),
      'type' => 'INNER',
    ),
  );
  
  $data['cre_recommendations']['score'] = array(
    'title' => t('Predicted rating'),
    'help' => t('The predicted rating for the current user on this node'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
     ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  
  $data['cre_node_recommendations']['table']['group'] = t('Recommendations');
  $data['cre_node_recommendations']['table']['join'] = array(
    'node' => array(
      'table' => 'node',
      'left_table' => 'cre_recommendations',
      'left_field' => 'nid',
      'field' => 'nid',
      'type' => 'INNER',
    ),
  );
  
  // Add in title and help for the fields to be added via hook_views_data_alter()
  $data['cre_node_recommendations']['title']['title'] = t('Recommended Node\'s title');
  $data['cre_node_recommendations']['title']['help'] = t('Recommended nodes title');
  
  $data['cre_node_recommendations']['nid']['title'] = t('Recommended Node\'s nid');
  $data['cre_node_recommendations']['nid']['help'] = t('The node id for the recommendated node');
  
  return $data;
}

/**
 * Implementation of hook_views_data_alter().
 */
function cre_views_data_alter(&$data) {
  // Make use of views core
  $data['cre_node_recommendations']['title']['field'] = $data['node']['title']['field'];
  $data['cre_node_recommendations']['nid']['field'] = $data['node']['nid']['field'];
  
  // remove the grouping so that it will use the recommendations group
  unset($data['cre_node_recommendations']['title']['field']['group']);
  unset($data['cre_node_recommendations']['nid']['field']['group']);
}